package org.klomp.bpms.bpml.activity;

import org.exolab.castor.types.AnyNode;
import org.klomp.bpms.bpml.Activity;

public class Delay implements Activity {
    private AnyNode documentation;
    private String name;

    /** Required name of property containing timeout value. */
    private String property;
    
    /** Must be "duration" or "dateTime". Defaults to "duration". */    
    private String type = "duration";
    
    /** Must begin with "start" or "end", followed by whitespace and
     *  the name of an activity, transaction or process. (in the current
     *  context)
     */
    private String reference;
    
    public AnyNode getDocumentation() {
        return documentation;
    }

    public String getName() {
        return name;
    }

    public void setDocumentation(AnyNode documentation) {
        this.documentation = documentation;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProperty() {
        return property;
    }

    public String getReference() {
        return reference;
    }

    public String getType() {
        return type;
    }

    public void setProperty(String property) {
        this.property = property;
    }

    public void setReference(String reference) {
        this.reference = reference;
    }

    public void setType(String type) {
        this.type = type;
    }

}
